# $Revision: 1.16 $, $Date: 2008/11/14 17:22:58 $
Summary:	Hesiod libraries and sample programs
Summary(pl.UTF-8):	Biblioteki i programy przykładowe do hesiod
Name:		hesiod
Version:	3.0.2
Release:	15
License:	MIT
Group:		Libraries
Source0:	ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/%{name}-%{version}.tar.gz
# Source0-md5:	0362311e80fb1e029a1588cbbd09ad57
Patch0:		%{name}-3.0.2-shlib.patch
Patch1:		%{name}-3.0.2-env.patch
Patch2:		%{name}-3.0.2-str.patch
Patch3:		%{name}-ac.patch
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hesiod is a system which uses existing DNS functionality to provide
access to databases of information that changes infrequently. It is
often used to distribute information kept in the /etc/passwd,
/etc/group, and /etc/printcap files over a network, eliminating the
need to ensure synchronize the files among multiple hosts.

%description -l pl.UTF-8
Hesiod jest systemem używającym istniejącej funkcjonalności DNS do
zapewniania dostępu do baz informacji zmieniających się niezbyt
często. Jest przeważnie używany do rozprowadzania informacji
trzymanych w /etc/passwd, /etc/group, /etc/printcap i podobnych po
sieci, eliminując potrzebę synchronizacji plików między wieloma
komputerami.

%package devel
Summary:	Headers and development documentation for Hesiod
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do hesiod
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files required for building programs
which use Hesiod and some devolopment documentation.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
używających Hesiod oraz dokumentację programisty.

%package static
Summary:	Hesiod static library
Summary(pl.UTF-8):	Biblioteka statyczna Hesiod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Hesiod library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki Hesiod.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

for manpage in *.3; do
	if grep -q '^\.so man3/hesiod.3' $manpage ; then
		echo .so hesiod.3 > $manpage
	elif grep -q '^\.so man3/hesiod_getmailhost.3' $manpage ; then
		echo .so hesiod_getmailhost.3 > $manpage
	elif grep -q '^\.so man3/hesiod_getpwnam.3' $manpage ; then
		echo .so hesiod_getpwnam.3 > $manpage
	elif grep -q '^\.so man3/hesiod_getservbyname.3' $manpage ; then
		echo .so hesiod_getservbyname.3 > $manpage
	fi
done

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/hesinfo
%attr(755,root,root) %{_libdir}/libhesiod.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhesiod.so
%{_includedir}/hesiod.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhesiod.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hesiod.spec,v $
Revision 1.16  2008/11/14 17:22:58  qboosh
- updated ac patch to check all res_mkquery possibilities
- plain configure macro

Revision 1.15  2008/11/14 11:15:13  pluto
- build fixed.

Revision 1.14  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.12  2005/10/29 17:59:59  darekr
- use %configure2_13 macro
- 755 perms for libraries

Revision 1.11  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.10  2003/05/26 16:25:14  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:48:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/12/02 11:06:20  ankry
- massive cleaning

Revision 1.7  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.6  2002/04/25 16:33:43  arturs
fixed a small typo

Revision 1.5  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/09 11:02:20  qboosh
- adapterized, pl translations, run ldconfig, separated -static

* Fri Oct 26 2001 Nalin Dahyabhai <nalin@redhat.com> 3.0.2-15
- actually set the soname in the shared library (ld doesn't automatically
  set the soname to the output file's name, oops)

* Fri Oct  5 2001 Nalin Dahyabhai <nalin@redhat.com> 3.0.2-14
- on second thought, put the shared library back in, using a soversion of 0
  to have a chance at providing compatibility with apps linked dynamically
  on other distributions
- make -devel depend on the same version of the main package

* Wed Oct  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove the shared library patch -- different packages with shared libraries
  tend to use different sonames, so we'd run inevitably run into problems

* Thu Aug 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove pre and post scripts -- authconfig handles that stuff now
- add the hesiod man page back in, as bind-devel doesn't provide it any more

* Wed Jan 17 2001 Jeremy Katz <jlkatz@eos.ncsu.edu>
- hesiod-devel requires hesiod (bug #128)

* Thu Sep 14 2000 Jeremy Katz <jlkatz@eos.ncsu.edu>
- remove hesiod man page from hesiod-devel as it conflicts with the one
  from bind-devel

* Thu Sep 14 2000 Jeremy Katz <jlkatz@eos.ncsu.edu>
- use rpm macros where possible and FHS-ify
- split into main and devel packages
- add back requires for nscd

* Fri Jul 28 2000 Jeremy Katz <jlkatz@eos.ncsu.edu>
- rebuild in new environment

* Thu Mar 16 2000 Jeremy Katz <jlkatz@unity.ncsu.edu>
- rebuild in new environment

* Thu Sep  2 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- removed dependency on nscd
- changed requires: nscd back to caching-nameserver

* Mon May 17 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- started changelog
- moved addition of hesiod to nsswitch.conf to this package because we
  no longer use a separate libnss_hesiod.so
- changed requires: caching-nameserver to nscd
- added post-install script snippet to activate nscd on install
